Enroll a user to a learning path
Endpoint URL
POST /api/v2/learning-paths/enrollments
Enroll user to learning path
Enrolls a user into a specific learning path. To create an enrollment, provide the user's unique ID using the user_id attribute and the learning path's unique ID using the learning_path_id attribute in the request body. If the request is valid and both the user and learning path exist, the API creates the enrollment and returns the enrollment details in the response.
Request
Responses
- 200
- 400
- 403
- 404
- 409
User enrolled (or already enrolled)
Invalid request body
Insufficient permissions to enroll the user
Learning path or user not found
Invalid default user role